Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class ManagedLinkedList

    java.lang.Object
      org.codehaus.groovy.util.ManagedLinkedList

    public class ManagedLinkedList
    extends Object

This class provides a very simple linked list of memory managed elements. This class does not support concurrent modifications nor will it check for them. This class is also not thread safe.

Authors:
  Jochen Theodorou

Since:
  1.6

Method Summary
`def` | `ManagedLinkedList(ReferenceBundle bundle)`
`void` | `add(T value)` adds a value to the list
`boolean` | `isEmpty()` returns if the list is empty
`Iterator` | `iterator()` returns an iterator, which allows the removal of elements.
`T[]` | `toArray(T[] tArray)` Returns an array of non null elements from the source array.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### ManagedLinkedList

    public def ManagedLinkedList(ReferenceBundle bundle)

### add

    public void add(T value)

  adds a value to the list
  Parameters:
    `value` - the value

### isEmpty

    public boolean isEmpty()

  returns if the list is empty
  Returns:
    true if the list is empty

### iterator

    public Iterator iterator()

  returns an iterator, which allows the removal of elements. The next() method of the iterator may return null values. This is especially the case if the value was removed.
  Returns:
    the Iterator

### toArray

    public T[] toArray(T[] tArray)

  Returns an array of non null elements from the source array.
  Parameters:
    `tArray` - the source array
  Returns:
    the array

Copyright © 2003-2010 The Codehaus. All rights reserved.